/* Konvertierungen aller Art */

#ifndef _CONV_INCLUDED
#define _CONV_INCLUDED

#include "startup.h"

/* Ausgabe-Konvertierungen Integer und float */
extern long  LONGtoString    (long aValue,  int digits, char* Buffer, int BufLen);
extern float FFtoString      (float aValue, int digits, int dezi, char* Buffer, int BufLen);
extern void  FF_Out          (float f, int digits, int dezi, word wo);

/* Eingabe-Konvertierungen */
extern int   GetNibble    (char** Zptr);   /* liest 1 Hex-Zeichen 0..F, bei Fehlern: -1 */
extern dword Hex_In       (char** Zptr);   /* liest ganze Hex-Zahl (32 bit) */
extern dword Long_In      (char** Zptr);   /* liest Dezimalzahl, kann auch negative Zahlen  */
extern float Float_In     (char** Zptr);   /* float aus String lesen */
extern float FF_round     (float aValue, byte Digits); /* nur Digits 1..5 zulssig */
extern char  UpCase       (char aChar);    /* wandelt Char in Grobuchstaben */
extern void  IgnoreSpace  (char** Zptr);   /* bergeht Leerzeichen */
extern char  match        (char* item, char** Zptr); /* Sub-Strings erkennen */
extern void  HexL_Out     (long aHex, word wo);
extern void  HexW_Out     (word aHex, word wo);
extern void  HexB_Out     (byte aHex, word wo);
extern void  Nibble_Out   (int aHex, word wo);

/* von woanders her */
extern char  Char_Out     (char c, word usartnum);
extern int   String_Out   (char* P, char usartnum);
extern void  CRLF_Out     (char usartnum);

/* sonstiges */
extern void Long_Out      (long aValue, int digits, word wo);
#endif
